#
# spec file for package ColPack
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ColPack
%define lname	libColPack0
Version:        1.0.9
Release:        10.3
Summary:        Graph Coloring Library for C/C++
License:        LGPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://www.cscapes.org/coloringpage/
Source:         http://www.cscapes.org/download/ColPack/%{name}-%{version}.tar.gz
Source2:        baselibs.conf
Patch1:         colpack-return-in-non-void.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description  
This package provides algorithms for efficient solution of partitioning
problems occuring in the analysis of sparsity patterns in derivative
computations formulated as Graph Coloring problems.

For details see http://www.cscapes.org/coloringpage/software.htm

%package -n %lname
Summary:        Graph Coloring Library for C/C++
Group:          System/Libraries

%description -n %lname
This package provides algorithms for efficient solution of partitioning
problems occuring in the analysis of sparsity patterns in derivative
computations formulated as Graph Coloring problems.

For details see http://www.cscapes.org/coloringpage/software.htm

%package devel
Summary:        Graph Coloring Library for C/C++ -- development files
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}

%description devel
This package provides algorithms for efficient solution of partitioning
problems occuring in the analysis of sparsity patterns in derivative
computations formulated as Graph Coloring problems.

For details see http://www.cscapes.org/coloringpage/software.htm

This package provides the development environment for ColPack

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
autoreconf -v --install --force
%configure --prefix=/usr
make %{_smp_mflags}

%install
%makeinstall
find "%buildroot" -type f -name "*.la" -delete;
find "%buildroot" -type f -name "*.a" -delete;
rm -rf %buildroot%{_builddir}/%{name}-%{version}/progs

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%{_libdir}/libColPack.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ColPack
%{_includedir}/ColPack/*.h
%{_libdir}/libColPack.so

%changelog
* Thu Oct 18 2012 kkhere.geo@gmail.com
- Update to 1.0.9: no changelog released upstream
* Fri Sep 14 2012 p.drouand@gmail.com
- Update to 1.0.8:
* Mon Mar 26 2012 kkhere.geo@gmail.com
- correct source URL
* Thu Mar 22 2012 kkhere.geo@gmail.com
- Create new package for ColPack with version 1.0.6
